#!/bin/bash

case=${PWD##*/}
numk=200
ecut=-6
rkmax=8
lvns=6
kshift=1

export EDITOR=cat # prevent openning files for editing

# initialization
cp ../${case}.struct ${case}.struct
init_lapw -b -vxc 13 -red 3 -ecut $ecut -rkmax $rkmax -lvns $lvns -numk $numk
echo -e "${numk}\n${kshift}" | x kgen -so # non-shifted k mesh

# prepare machines file (assume SLURM scheduler)
echo SLURM_CPUS_PER_TASK=$SLURM_CPUS_PER_TASK
echo "1:localhost" > .machines # 1st line
for (( i=2; i<=$SLURM_CPUS_PER_TASK; i++ ))
do
  echo "1:localhost" >> .machines # remaining N-1 lines
done
echo "granularity:1" >> .machines
echo "extrafine:1" >> .machines
echo SLURM_TASKS_PER_NODE=$SLURM_TASKS_PER_NODE
export OMP_NUM_THREADS=$SLURM_TASKS_PER_NODE
echo OMP_NUM_THREADS=$OMP_NUM_THREADS

# run without SOC
run_lapw -ec 0.00001 -cc 0.0001 -p
save_lapw -d noSOC

# init SOC
echo -e "0 0 1\n\n\n\nN\n" | init_so_lapw

# run with SOC
run_lapw -ec 0.00001 -cc 0.0001 -so -p
save_lapw -d SOC

export EDITOR=vim # reset the default editor back
