#!/bin/bash

case=${PWD##*/}
numk=3000
ecut=-6
rkmax=7
lvns=6
kshift=1
kmesh="15 15 1"

export EDITOR=cat # prevent openning files for editing

# initialization
cp ../${case}.struct ${case}.struct
cp ../${case}.inst ${case}.inst
init_lapw -b -vxc 13 -red 3 -ecut $ecut -rkmax $rkmax -lvns $lvns -numk $numk -sp

# prepare machines file (assume SLURM scheduler)
echo SLURM_CPUS_PER_TASK=$SLURM_CPUS_PER_TASK
echo "1:localhost" > .machines # 1st line
for (( i=2; i<=$SLURM_CPUS_PER_TASK; i++ ))
do
  echo "1:localhost" >> .machines # remaining N-1 lines
done
echo "granularity:1" >> .machines
echo "extrafine:1" >> .machines
echo SLURM_TASKS_PER_NODE=$SLURM_TASKS_PER_NODE
export OMP_NUM_THREADS=$SLURM_TASKS_PER_NODE
echo OMP_NUM_THREADS=$OMP_NUM_THREADS

# init SOC
echo -e "0 0 1\n\n\n\ny\ny\n" | init_so_lapw

# generate k mesh
echo -e "0\n${kmesh}" | x kgen -so # non-shifted k mesh

# run with SOC
runsp_lapw -ec 0.00001 -cc 0.0001 -so -p
save_lapw -d SOC

export EDITOR=vim # reset the default editor back
